.menu-content {
  height: 100vh;
  --background: var(--ion-foreground-color);

  .menu-list {
    --ion-item-background: var(--ion-foreground-color);

    .list-header {
      min-height: 0;
      font-size: 16px;
      color: var(--fg-disabled);
      padding: 10px 5px 0 18px;
    }

    .menu-entry {
      --padding-start: 18px;
      cursor: pointer;
      border-radius: 5px;

      &:hover {
        --padding-start: 15px;
        --background: var(--ion-hover-background-color);
        border-left: 3px solid var(--fg-highlight);
      }

      &:active {
        --background: var(--ion-active-background-color);
      }

      &.activated {
        --background: var(--ion-hover-background-color);

        .menu-icon {
          color: var(--fg-hover);
        }
      }

      .badge-wrapper {
        position: absolute;
        left: 0;
        top: 0;
        width: 35px;
        height: 50px;

        .counter-badge {
          position: absolute;
          display: inline-flex;
          bottom: 6px;
          right: 6px;
          border-radius: 50%;
          background-color: var(--ion-color-danger-shade);
          padding: 0 2px;
          min-width: 17px;

          align-items: center;
          justify-content: center;
        }
      }
    }
  }
}
